Results 1 to 3 of 3

Thread: KPackageKit HTTP_PROXY error upon update to 11.4

  1. #1
    Join Date
    Aug 2010
    Location
    California
    Posts
    190

    Question KPackageKit HTTP_PROXY error upon update to 11.4

    Out of the ashes, this problem is now reincarnated on my PC. I'm getting the same error message on all the standard 11.4 repos including:

    Code:
    Download (curl) error for 'http://download.opensuse.org/distribution/11.4/repo/oss/content':
    Error code: Connection failed
    Error message: Couldn't resolve proxy 'HTTP_PROXY'
    but I'm having trouble understanding the solution or what looks like the solution:

    And i deleted the 2 files:
    ( .kde4/share/config/kioslaverc
    .kde/share/config/kioslaverc ).
    Now the updating with KPackagekit work's fine.
    from http://forums.opensuse.org/forums/en...-11-4-a-3.html

    Is there danger in eliminating these files? Is there a setting that can be adjusted within these files?

    Thanks in advance!

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: KPackageKit HTTP_PROXY error upon update to 11.4

    On 02/11/2012 06:16 AM, HealingMindNOS wrote:
    > Is there danger in eliminating these files? Is there a setting that can
    > be adjusted within these files?
    >


    i can not answer your questions as posed....i can however say with some
    authority:

    -do not use KPackagekit

    -it arrived broken and remains broken

    -additionally the new version of kpackagekit which arrived with openSUSE
    12.1 (nammed Apper) is also broken

    -recommend you either disable (with right click on its icon) or
    uninstall (with YaST Software Management or zypper)

    thereafter use only YaST Software Management or zypper for install and
    uninstall, and use only YaST Online Update or "zypper patch" for
    security patches and major bug fixes

    and note, by disabling the broken KPackagekit you will loose the only
    thing it did right: without being asked to, it looked to see if there
    were patches waiting to be installed..

    so, that function will now fall on you to remember to occasionally crank
    up YaST Online Update and have a look..

    i personally define that "occasionally" as every time i boot (which is
    normally once a day) you might want to do it more or less often...and,
    some here say weekly..

    another way is to follow the security notifications which flow in the
    security announcements forum: http://tinyurl.com/6ey2cvv

    --
    DD
    Read what Distro Watch writes: http://tinyurl.com/SUSEonDW

  3. #3
    Join Date
    Aug 2010
    Location
    California
    Posts
    190

    Default Re: KPackageKit HTTP_PROXY error upon update to 11.4

    Thanks for the tips, Denver. I have chosen "never" under check update settings for KPackagekit. I'm surprised that I have not seen further discussions on this problem if it's ubiquitous.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •